summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTiago Vignatti <tiago.vignatti@nokia.com>2010-04-15 17:01:22 +0300
committerMikhail Gusarov <dottedmag@dottedmag.net>2010-04-16 01:08:47 +0700
commit9925227fbfd648622b895da7b5369e1d473f273a (patch)
treec2624408ad2000bd004cad186e9ed413dcdfeb61
parentd0f0e7e0dc5ce2d58972cb5a492183c0d4e58433 (diff)
downloadlibsha1-9925227fbfd648622b895da7b5369e1d473f273a.tar.gz
Add autogen.sh to ease autoconf procedures
Signed-off-by: Tiago Vignatti <tiago.vignatti@nokia.com>
-rwxr-xr-xautogen.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..904cd67
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,12 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+$srcdir/configure --enable-maintainer-mode "$@"